org.springframework.data.relational.core.conversion

## Class DbActionExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.data.relational.core.conversion.DbActionExecutionException

All Implemented Interfaces:
  Serializable

    public class DbActionExecutionException
    extends RuntimeException

Exception thrown when during the execution of a `DbAction` an exception gets thrown. Provides additional context information about the action and the entity.

Author:
  Jens Schauder
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DbActionExecutionException(DbAction<?> action, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DbActionExecutionException

    public DbActionExecutionException(DbAction<?> action,
                                      Throwable cause)

Parameters:
  `action` - the `DbAction` which triggered the exception. Must not be `null`.
  `cause` - the underlying exception. May not be `null`.